Summary:        SAL info tool.
Name:           salinfo
Version:        0.5
Release: %(R="$Revision: 1.14 $"; RR="${R##: }"; echo ${RR%%?}).1%{?dist}
Epoch:		1
Group:          System Environment/Base
License:        GPL
Source0:	salinfo-0.5-rhel4.tar.gz
Buildroot:      %{_tmppath}/%{name}-%{version}-root
Prereq:		/sbin/chkconfig /sbin/service
Requires:	fileutils kudzu
BuildPreReq: 	readline-devel ncurses-devel /usr/bin/aclocal /usr/bin/automake /usr/bin/autoconf util-linux groff gettext
ExclusiveArch:	ia64
Obsoletes:	kernel-utils

%description
salinfod. FIXME.

%prep
%setup -q -c -a 0

%build
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}/usr/sbin
mkdir -p %{buildroot}/usr/man
mkdir -p %{buildroot}/etc/rc.d/init.d
mkdir -p %{buildroot}/etc/sysconfig

cd salinfo-0.5-rhel4
make CFLAGS="$RPM_OPT_FLAGS"


%install
mkdir -p %{buildroot}/usr/share/man/man{1,8}

cd salinfo-0.5-rhel4
make install prefix=%{buildroot} mandir=%{_mandir} sbindir=%{_sbindir} initdir=%{_sysconfdir}/rc.d/init.d logdir=/var/log/salinfo

chmod -R a-s %{buildroot}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc %{_mandir}/man8/salinfo_decode.8.gz
%{_sbindir}/salinfod
%{_sbindir}/salinfo_decode2
%{_sbindir}/salinfo_decode
%attr(0755,root,root) %{_sysconfdir}/rc.d/init.d/salinfod
%dir /var/log/salinfo
%dir /var/log/salinfo/raw
%dir /var/log/salinfo/decoded

%preun
if [ "$1" = "0" ] ; then
 /sbin/service salinfod stop
 /sbin/chkconfig --del salinfod
fi

%post
/sbin/chkconfig --add salinfod

%triggerpostun -- kernel-utils
/sbin/chkconfig --add salinfod
exit 0


%changelog
* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1:0.5-1.13.1
- rebuild

* Thu Feb 09 2006 Dave Jones <davej@redhat.com>
- rebuild.

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Mar  1 2005 Dave Jones <davej@redhat.com>
- Rebuild for gcc4

* Wed Feb  9 2005 Dave Jones <davej@redhat.com>
- Rebuild with $RPM_OPT_FLAGS

* Sat Dec 18 2004 Dave Jones <davej@redhat.com>
- Initial packaging, based upon kernel-utils.

